# Interface ICefPrintSettings

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefPrintSettings = interface(ICefBaseRefCounted)`

## Description

Interface representing print settings.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_settings_capi.h">CEF source file: /include/capi/cef_print_settings_capi.h (cef_print_settings_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefPrintSettings

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsReadOnly: Boolean;`
| `procedure SetOrientation(landscape: Boolean);`
| `function IsLandscape: Boolean;`
| `procedure SetPrinterPrintableArea(const physicalSizeDeviceUnits: PCefSize; const printableAreaDeviceUnits: PCefRect; landscapeNeedsFlip: Boolean);`
| `procedure SetDeviceName(const name: ustring);`
| `function GetDeviceName: ustring;`
| `procedure SetDpi(dpi: Integer);`
| `function GetDpi: Integer;`
| `procedure SetPageRanges(const ranges: TCefRangeArray);`
| `function GetPageRangesCount: NativeUInt;`
| `procedure GetPageRanges(out ranges: TCefRangeArray);`
| `procedure SetSelectionOnly(selectionOnly: Boolean);`
| `function IsSelectionOnly: Boolean;`
| `procedure SetCollate(collate: Boolean);`
| `function WillCollate: Boolean;`
| `procedure SetColorModel(model: TCefColorModel);`
| `function GetColorModel: TCefColorModel;`
| `procedure SetCopies(copies: Integer);`
| `function GetCopies: Integer;`
| `procedure SetDuplexMode(mode: TCefDuplexMode);`
| `function GetDuplexMode: TCefDuplexMode;`

### Properties

| `property Landscape : Boolean read IsLandscape write SetOrientation;`
| `property DeviceName : ustring read GetDeviceName write SetDeviceName;`
| `property Dpi : Integer read GetDpi write SetDpi;`
| `property SelectionOnly : Boolean read IsSelectionOnly write SetSelectionOnly;`
| `property Collate : Boolean read WillCollate write SetCollate;`
| `property ColorModel : TCefColorModel read GetColorModel write SetColorModel;`
| `property Copies : Integer read GetCopies write SetCopies;`
| `property DuplexMode : TCefDuplexMode read GetDuplexMode write SetDuplexMode;`

## Description

### Methods

| `function IsValid: Boolean;`
Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0). ###### Attributes GUID['{ACBD2395-E9C1-49E5-B7F3-344DAA4A0F12}']

| `function IsReadOnly: Boolean;`
Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

| `procedure SetOrientation(landscape: Boolean);`
Set the page orientation.

| `function IsLandscape: Boolean;`
Returns true (1) if the orientation is landscape.

| `procedure SetPrinterPrintableArea(const physicalSizeDeviceUnits: PCefSize; const printableAreaDeviceUnits: PCefRect; landscapeNeedsFlip: Boolean);`
Set the printer printable area in device units. Some platforms already provide flipped area. Set |landscape_needs_flip| to false (0) on those platforms to avoid double flipping.

| `procedure SetDeviceName(const name: ustring);`
Set the device name.

| `function GetDeviceName: ustring;`
Get the device name.

| `procedure SetDpi(dpi: Integer);`
Set the DPI (dots per inch).

| `function GetDpi: Integer;`
Get the DPI (dots per inch).

| `procedure SetPageRanges(const ranges: TCefRangeArray);`
Set the page ranges.

| `function GetPageRangesCount: NativeUInt;`
Returns the number of page ranges that currently exist.

| `procedure GetPageRanges(out ranges: TCefRangeArray);`
Retrieve the page ranges.

| `procedure SetSelectionOnly(selectionOnly: Boolean);`
Set whether only the selection will be printed.

| `function IsSelectionOnly: Boolean;`
Returns true (1) if only the selection will be printed.

| `procedure SetCollate(collate: Boolean);`
Set whether pages will be collated.

| `function WillCollate: Boolean;`
Returns true (1) if pages will be collated.

| `procedure SetColorModel(model: TCefColorModel);`
Set the color model.

| `function GetColorModel: TCefColorModel;`
Get the color model.

| `procedure SetCopies(copies: Integer);`
Set the number of copies.

| `function GetCopies: Integer;`
Get the number of copies.

| `procedure SetDuplexMode(mode: TCefDuplexMode);`
Set the duplex mode.

| `function GetDuplexMode: TCefDuplexMode;`
Get the duplex mode.

### Properties

| `property Landscape : Boolean read IsLandscape write SetOrientation;`
Returns true (1) if the orientation is landscape.

| `property DeviceName : ustring read GetDeviceName write SetDeviceName;`
Get the device name.

| `property Dpi : Integer read GetDpi write SetDpi;`
Get the DPI (dots per inch).

| `property SelectionOnly : Boolean read IsSelectionOnly write SetSelectionOnly;`
Returns true (1) if only the selection will be printed.

| `property Collate : Boolean read WillCollate write SetCollate;`
Returns true (1) if pages will be collated.

| `property ColorModel : TCefColorModel read GetColorModel write SetColorModel;`
Get the color model.

| `property Copies : Integer read GetCopies write SetCopies;`
Get the number of copies.

| `property DuplexMode : TCefDuplexMode read GetDuplexMode write SetDuplexMode;`
Get the duplex mode.

Generated by PasDoc 0.16.0-snapshot.